Subject: Re: (No Subject)
From: chrstfer via Cygwin <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Fri, 24 Feb 2023 03:07:32 +0000
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

Moss,

Have you made any major changes to your cygwin X server settings? I tried this with a fresh install of the cygwin Xserver suite, first thing i did, but was unable to get it to work. 

I assume you are using Docker Desktop? Do you have it integrated with WSL? 

Thanks for the quick reply! This will be my last for the night. Don't want to flood.

Chris

------- Original Message -------
On Thursday, February 23rd, 2023 at 9:58 PM, Eliot Moss <[email-masked]> wrote:

> 
> 
> On 2/24/2023 1:51 PM, chrstfer via Cygwin wrote:
> 
> > Hi all,
> > 
> > First mail, so while I'm fairly sure it's on topic please forgive me if it isn't.
> > 
> > Has anyone tried to get a docker container with an X app in it to connect to the cygwin x server?
> > 
> > When I run startxwin after starting the wslg container the cygwin Xserver comes in at address (word?) :1 rather than :0, so the two servers can recognize each other (at least to some degree). I can run a cygwin X app in a cygwin console and get an X window, and I can run a wslg app in a wsl bash instance and get an X window, each on their respective servers. But when I set the env DISPLAY in one to the X of the other, it breaks.
> > 
> > This isn't just a stupid ask for a redundant use-case, either. The cygwin X server is vastly superior to the wslg one, at least insofar as integration with the windows 10 chrome; cygwin X windows no matter the library will snap like a regular windows window will. Anything coming out of wslg, at least when it comes to gtk3 (emacs-git) and QT4 (qutebrowser), have no native window decorations and don't snap. I've also been unable to find a way to run a docker container as a single X root window (ie to run a DE inside of a container) but I bet if I could connect to the cygwin X server that'd be fairly straightforward.
> > 
> > I'll be the first to admit I don't know too much about X so is what I'm asking even possible? (I do mainly use linux, but normally X is one of those things that i dont fiddle with much)
> > 
> > UItimately/mostly I'm just fed up of being stuck in Windows windowland at work and not having emacs-git*. At least thats how i landed on this topic, but it seems to me being able to run a docker container and have it hook into a cygwin X server that's already running would be a good feature generally. Especially if it would enable me to disable WSL again.
> > 
> > (*As an aside: while I have gotten it to compile, and it runs in the console, so many tests break that I'm afraid to even try compiling it for gtk3; so a docker container of debian stable seemed a logical next step and i half-expected it to just work, to be honest, given how seamless the rest of my cygwin experience has been recently, and I would put money on these two issues being on docker/docker-desktop/wsl, given how poor wslg's integration is despite being a microsoft project)
> 
> 
> If it's of any help in understanding this, in wsl I set DISPLAY=:0
> and can start X apps that connect to the Cygwin X server. I wonder
> if there are issues trying to run two X servers at the same time ...
> 
> Best - Eliot Moss

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple